import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class EaseContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    easeRcaShield({ address, network }: ContractOpts): import("./ethers").EaseRcaShield;
    easeRcaShieldAave({ address, network }: ContractOpts): import("./ethers").EaseRcaShieldAave;
    easeRcaShieldCompound({ address, network }: ContractOpts): import("./ethers").EaseRcaShieldCompound;
    easeRcaShieldConvex({ address, network }: ContractOpts): import("./ethers").EaseRcaShieldConvex;
    easeRcaShieldOnsen({ address, network }: ContractOpts): import("./ethers").EaseRcaShieldOnsen;
}
export type { EaseRcaShield } from './ethers';
export type { EaseRcaShieldAave } from './ethers';
export type { EaseRcaShieldCompound } from './ethers';
export type { EaseRcaShieldConvex } from './ethers';
export type { EaseRcaShieldOnsen } from './ethers';
